Package: org.codehaus.groovy.vmplugin.v7

## [Java] Enum IndyInterface.CallType

- org.codehaus.groovy.vmplugin.v7.IndyInterface.CallType

-     public enum IndyInterface.CallType

  Enum for easy differentiation between call types

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CAST` | Cast invocation type
    `GET` | Get property invocation type
    `INIT` | Constructor invocation type
    `METHOD` | Method invocation type
    `SET` | Set property invocation type

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static CallType` | `fromCallSiteName(String callSiteName)`
    `` | `public String` | `getCallSiteName()` Returns the name of the call site type

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IndyInterface.CallType CAST

      Cast invocation type

    - #### IndyInterface.CallType GET

      Get property invocation type

    - #### IndyInterface.CallType INIT

      Constructor invocation type

    - #### IndyInterface.CallType METHOD

      Method invocation type

    - #### IndyInterface.CallType SET

      Set property invocation type

  - ### Method Detail

    - #### public static CallType fromCallSiteName(String callSiteName)

    - #### public String getCallSiteName()

      Returns the name of the call site type